.main {

  &__magic {
    padding-top: 100vh;

    @include media-breakpoint-down(xl) {
      padding-top: 0;
    }
  }

  &__section {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100vh;
    opacity: 1;
    pointer-events: none;
    transition: opacity 1s ease-in-out, transform .7s ease-in-out;
    transform: translateY(-100%);

    @include media-breakpoint-down(xl) {
      position: relative;
      min-height: 0;
      pointer-events: all;
    }

    &--active {
      position: absolute;
      opacity: 1;
      pointer-events: all;
      transform: translateY(0);

      @include media-breakpoint-down(xl) {
        position: relative;
        transform: none;
      }

      & ~ .main__section {
        transform: translateY(100%);

        @include media-breakpoint-down(xl) {
          transform: translateY(0);
        }
      }
    }
  }

  &__bottom {
    position: relative;
    z-index: 1;
    padding: 150px 0;
    background: $light;

    @include media-breakpoint-down(xl) {
      padding: 60px 0;
    }
  }

  &__bottom-section {
    margin-bottom: 120px;

    @include media-breakpoint-down(xl) {
      margin-bottom: 40px;
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 43px;
    }

    &:last-child {
      margin-bottom: 0;
    }
  }
}
